 jQuery(function($) {
     $(document).ready(function() {
         var topMargin = 0;

         $.fn.stickUp = function(options) {
             $(this).addClass('stuckMenu');
             var objn = 0;
             if (options != null) {
                 for (var o in options.parts) {
                     if (options.parts.hasOwnProperty(o)) {
                         content[objn] = options.parts[objn];
                         objn++;
                     }
                 }
                 itemClass = options.itemClass;
                 itemHover = options.itemHover;
                 if (options.topMargin != null) {
                     if (options.topMargin == 'auto') {
                         topMargin = parseInt($('.stuckMenu').css('margin-top'));
                     } else {
                         if (isNaN(options.topMargin) && options.topMargin.search("px") > 0) {
                             topMargin = parseInt(options.topMargin.replace("px", ""));
                         } else if (!isNaN(parseInt(options.topMargin))) {
                             topMargin = parseInt(options.topMargin);
                         } else {
                             console.log("incorrect argument, ignored.");
                             topMargin = 0;
                         }
                     }
                 } else {
                     topMargin = 0;
                 }
                 menuSize = $('.' + itemClass).size();
             }
             stickyHeight = parseInt($(this).height());
             stickyMarginB = parseInt($(this).css('margin-bottom'));
             currentMarginT = parseInt($(this).next().closest('div').css('margin-top'));
             vartop = parseInt($(this).offset().top);
         };
         $(document).on('scroll', function() {
             varscroll = parseInt($(document).scrollTop());
             if (vartop < varscroll + topMargin) {
                 $('.stuckMenu').addClass('isStuck');
                 $('.stuckMenu').next().closest('div').css({
                     'margin-top': stickyHeight + stickyMarginB + currentMarginT + 'px'
                 }, 10);
                 $('.stuckMenu').css("position", "fixed");
                 $('.isStuck').css({
                     top: '0px'
                 }, 10, function() {});
             };
             if (varscroll + topMargin < vartop) {
                 $('.stuckMenu').removeClass('isStuck');
                 $('.stuckMenu').next().closest('div').css({
                     'margin-top': currentMarginT + 'px'
                 }, 10);
                 $('.stuckMenu').css("position", "relative");
             };
         });
     });
 });